body {
    background-color: darkgray;
    text-align: center;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

.app {
    display: flex;
    width: 1700px;
    margin-top: 75px;
    margin-left: auto;
    margin-right: auto;
    vertical-align: top;
}

img {
    pointer-events: none;
}

.draw_area {
    -ms-touch-action: none;
    /* for *IE10 */
    touch-action: none;
}

.arrow_area {
    color: #f3d347;
}

.yellow_text {
    color: #f3d347;
}

.red_text {
    color: #e90c59;
}

.result_area {}

.arrow_wrapper {
    margin-top: 300px;
    margin-left: 20px;
    margin-right: 20px;
    width: 150px;
    height: 150px;
    cursor: hand;
}

.arrow {
    width: 150px;
    filter: drop-shadow(10px 10px 10px rgba(0, 0, 0, 0.6));
}

.arrow:hover {
    cursor: hand;
    transition: all 0.3s ease 0s;
    opacity: 0.5;
}

.palette {
    text-align: center;
    border: solid 2px #f2f2f2;
    border-radius: 0.5em;
    margin-top: 20px;
}

.palette_black {
    text-align: center;
    border: solid 2px #2f2f2f;
    border-radius: 0.5em;
    margin-top: 20px;
    vertical-align: middle;
}

.palette_red {
    text-align: center;
    border: solid 2px #f22f2f;
    border-radius: 0.5em;
    margin-top: 20px;
}

.palette_blue {
    text-align: center;
    border: solid 2px #2f2ff2;
    border-radius: 0.5em;
    margin-top: 20px;
}

.palette_white {
    text-align: center;
    border: solid 2px #f2f2f2;
    border-radius: 0.5em;
    margin-top: 20px;
}

.btn-square-shadow {
    display: inline-block;
    padding: 0.5em 1em;
    text-decoration: none;
    background: #668ad8;
    /*ボタン色*/
    color: #FFF;
    border-bottom: solid 4px #627295;
    border-radius: 3px;
}

.btn-square-shadow:active {
    /*ボタンを押したとき*/
    -webkit-transform: translateY(4px);
    transform: translateY(4px);
    /*下に動く*/
    box-shadow: 0px 0px 1px rgba(0, 0, 0, 0.2);
    /*影を小さく*/
    border-bottom: none;
}

.palette_button {
    display: inline-block;
    width: 100px;
    height: 40px;
    background-color: #f3d347;
    color: #2f2f2f;
    border-radius: 10%;
    filter: drop-shadow(10px 10px 10px rgba(0, 0, 0, 0.6));
}

.bigbox {
    display: inline-block;
    width: 50px;
    height: 50px;
    cursor: hand;
    margin-top: 10px;
    margin-bottom: 10px;
    border-radius: 50%;
    /*角丸*/
    filter: drop-shadow(10px 10px 10px rgba(0, 0, 0, 0.6));
}

.box {
    display: inline-block;
    width: 30px;
    height: 30px;
    cursor: hand;
    margin-top: 10px;
    margin-bottom: 10px;
    border-radius: 50%;
    /*角丸*/
    filter: drop-shadow(10px 10px 10px rgba(0, 0, 0, 0.6));
}

.black {
    background-color: #2f2f2f;
    color: white;
}

.red {
    background-color: #f22f2f;
    color: white;
}

.blue {
    background-color: #2f2ff2;
    color: white;
}

.white {
    background-color: #f2f2f2;
}

.result_img {}

.info {
    text-align: right;
    color: gray;
}

.history {
    text-align: center;
    border: solid 2px #f2f2f2;
    border-radius: 0.5em;
    margin-top: 20px;
}

.h_img {
    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: 10px;
    margin-right: 10px;
    width: 100px;
    height: 100px;
}